find companies
curl --request POST \
--url https://api.datalayer.so/v1/companies/find \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"industry": "<string>",
"country": "<string>",
"region": "<string>",
"min_employees": 4503599627370495,
"max_employees": 4503599627370495,
"limit": 10,
"offset": 0,
"max_credits": 1,
"dry_run": true
}
'import requests
url = "https://api.datalayer.so/v1/companies/find"
payload = {
"query": "<string>",
"industry": "<string>",
"country": "<string>",
"region": "<string>",
"min_employees": 4503599627370495,
"max_employees": 4503599627370495,
"limit": 10,
"offset": 0,
"max_credits": 1,
"dry_run": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
industry: '<string>',
country: '<string>',
region: '<string>',
min_employees: 4503599627370495,
max_employees: 4503599627370495,
limit: 10,
offset: 0,
max_credits: 1,
dry_run: true
})
};
fetch('https://api.datalayer.so/v1/companies/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"offset": 4503599627370495,
"limit": 13,
"next_offset": -4503599627369996,
"result_scope": {
"mode": "bounded_shortlist",
"evaluated": 12,
"exhaustive": false,
"scope": "bounded_shortlist",
"filters_applied_to": "<string>",
"provider_total": 4503599627370495,
"indexed_total": 4503599627370495
},
"coverage_note": "<string>",
"total": 4503599627370495,
"results": [
{
"company_id": "<string>",
"name": "<string>",
"website": "<string>",
"industries": [
{
"name": "<string>",
"is_primary": true
}
],
"headquarters": {
"city": "<string>",
"region": "<string>",
"country": "<string>"
},
"employee_size": "<string>",
"description": "<string>",
"source_updated_at": "<string>",
"domain": "<string>",
"profile_url": "<string>"
}
]
},
"meta": {
"retrieved_at": "2023-11-07T05:31:56Z",
"billing_status": "credits_settled",
"profiles_used": 0,
"request_id": "<string>",
"contract_version": "2026-10-19",
"credit_version": "datalayer_credits_v1",
"upstream_requests": 4,
"lookup_requests": 4,
"credits_used": 1,
"receipt": {
"version": "datalayer_credits_v1",
"request_id": "<string>",
"reserved": 50,
"settled": 50,
"released": 50,
"items": [
{
"kind": "company",
"reference": "<string>",
"credits": 0,
"repeat": true
}
]
},
"replayed": true
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Companies
Find companies
Keyword/name discovery. Industry, country/region and size are evaluated only on this bounded keyword page; result_scope identifies shortlist evaluation and no global filtered total is returned.
find companies
curl --request POST \
--url https://api.datalayer.so/v1/companies/find \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"industry": "<string>",
"country": "<string>",
"region": "<string>",
"min_employees": 4503599627370495,
"max_employees": 4503599627370495,
"limit": 10,
"offset": 0,
"max_credits": 1,
"dry_run": true
}
'import requests
url = "https://api.datalayer.so/v1/companies/find"
payload = {
"query": "<string>",
"industry": "<string>",
"country": "<string>",
"region": "<string>",
"min_employees": 4503599627370495,
"max_employees": 4503599627370495,
"limit": 10,
"offset": 0,
"max_credits": 1,
"dry_run": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
industry: '<string>',
country: '<string>',
region: '<string>',
min_employees: 4503599627370495,
max_employees: 4503599627370495,
limit: 10,
offset: 0,
max_credits: 1,
dry_run: true
})
};
fetch('https://api.datalayer.so/v1/companies/find', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"offset": 4503599627370495,
"limit": 13,
"next_offset": -4503599627369996,
"result_scope": {
"mode": "bounded_shortlist",
"evaluated": 12,
"exhaustive": false,
"scope": "bounded_shortlist",
"filters_applied_to": "<string>",
"provider_total": 4503599627370495,
"indexed_total": 4503599627370495
},
"coverage_note": "<string>",
"total": 4503599627370495,
"results": [
{
"company_id": "<string>",
"name": "<string>",
"website": "<string>",
"industries": [
{
"name": "<string>",
"is_primary": true
}
],
"headquarters": {
"city": "<string>",
"region": "<string>",
"country": "<string>"
},
"employee_size": "<string>",
"description": "<string>",
"source_updated_at": "<string>",
"domain": "<string>",
"profile_url": "<string>"
}
]
},
"meta": {
"retrieved_at": "2023-11-07T05:31:56Z",
"billing_status": "credits_settled",
"profiles_used": 0,
"request_id": "<string>",
"contract_version": "2026-10-19",
"credit_version": "datalayer_credits_v1",
"upstream_requests": 4,
"lookup_requests": 4,
"credits_used": 1,
"receipt": {
"version": "datalayer_credits_v1",
"request_id": "<string>",
"reserved": 50,
"settled": 50,
"released": 50,
"items": [
{
"kind": "company",
"reference": "<string>",
"credits": 0,
"repeat": true
}
]
},
"replayed": true
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}The assistant tool is
find_companies. On the published plan for new signups, a page with at least one company costs 1 credit. An empty or failed page costs zero. An active allowance is still required.
Use canonical company_id or domain references to select full profiles.
Industry, country/region and employee-size filters evaluate only this keyword
page, not an exhaustive global market. Unknown fields cannot satisfy predicates.
Inspect result_scope.scope, evaluated and the null filtered total. scope is
keyword_index or bounded_shortlist. mode remains: provider_keyword_index
is keyword_index. indexed_total matches provider_total. Pages contain up
to 25 results with offset up to 1000. A timeout is not an empty market.Authorizations
Headers
Recommended for every paid operation. Account-scoped and bound to normalized operation/input. Retry exactly the same key after transport loss: a committed credit result is replayed from persisted normalized bytes without a data lookup or another debit. Changed input, key expiry or paid-anchor expiry returns 409. In-flight requests return request_in_progress. Network delivery and D1 commit are not atomic. If omitted a request ID is created.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9_-]{1,128}$Body
application/json